#include "vision.h"
#include "bits/stdc++.h"

using namespace std;

vector<int> getVisionPattern1d() {
    return {1, 2, 3};
}

int getMove1d(vector<int> v) {
    return find(v.begin() + v.size() / 2 - 1, v.begin() + v.size() / 2 + 2, (v[v.size() / 2] % 3) + 1) - v.begin();
}

vector<vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v)
{
    return {0, 0};
}
